RFC 9960 is the architecture behind Tree-SID. It defines the SR P2MP Policy: a construct, identified by <Root, Tree-ID>, that names a root node and a set of leaf nodes and carries one or more candidate paths (CPs) with constraints and optimization objectives, reusing the candidate-path model and selection rules of RFC 9256.
A controller (typically a PCE) computes a P2MP tree instance (PTI) for each candidate path and instantiates it by programming RFC 9524 Replication segments on the root, the intermediate replication nodes, and the leaves. The Replication-SID at the root is the Tree-SID; the RFC recommends reusing the same value at every node of the instance to simplify troubleshooting. For SRv6, the Replication-SID is the FUNCT part of the SID, so even with a common Tree-SID value the locator differs per node.
It works for both SR-MPLS and SRv6, and it updates RFC 9524 by giving the Replication-ID a precise structure: <Root, Tree-ID, Instance-ID>.
Identifies the SR P2MP Policy together with the root address
Instance-ID
16-bit, unique per policy
Identifies one PTI (e.g., old and new instance during make-before-break)
Replication-ID
<Root, Tree-ID, Instance-ID>
Updated RFC 9524 identifier; full control-plane key adds Node-ID
Tree-SID
Replication-SID at the root
Data-plane identifier of the PTI
BSID
Per policy
Steers traffic into the policy when the root is not the domain ingress
Shared Replication segments (for example, one protecting the X→Y adjacency for many trees) use Root = ::/0.0.0.0 and Instance-ID = 0. The simple 32-bit Replication-ID of RFC 9524 maps to <::, Tree-ID, 0>.